Security Enhanced Linux Reference Policy

# Layer: system

## Module: xen

Interfaces

### Description:

Xen hypervisor

### Interfaces:

xen_append_log( domain )

##### Summary

Allow the specified domain to append xend log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

xen_domtrans( domain )

##### Summary

Execute a domain transition to run xend.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

xen_domtrans_xm( domain )

##### Summary

Execute a domain transition to run xm.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

xen_dontaudit_rw_unix_stream_sockets( domain )

##### Summary

Do not audit attempts to read and write Xen unix domain stream sockets. These are leaked file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

xen_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to inherit xen file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

xen_manage_log( domain )

##### Summary

Create, read, write, and delete the xend log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xen_read_image_files( domain )

##### Summary

Read xend image files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xen_stream_connect( domain )

##### Summary

Connect to xend over an unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xen_stream_connect_xenstore( domain )

##### Summary

Connect to xenstored over an unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xen_use_fds( domain )

##### Summary

Inherit and use xen file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

Return